Rice.require 'Native'
Rice.require 'Rice.CapsDB'
Rice.require 'json'

preset_table =
{
	['brightenfordarkimage'] = {
		['all_brightness']				=	'20',
		['text_brightness']				=	'20',
		['photo_brightness']			=	'20',
		['graphics_brightness']			=	'20',
		['all_contrast']				=	'0',
		['text_contrast']				=	'0',
		['photo_contrast']				=	'0',
		['graphics_contrast']			=	'0',
		['all_saturation']				=	'0',
		['text_saturation']				=	'0',
		['photo_saturation']			=	'0',
		['graphics_saturation']			=	'0',
		['all_colorbalance_red']		=	'0',
		['text_colorbalance_red']		=	'0',
		['photo_colorbalance_red']		=	'0',
		['graphics_colorbalance_red']	=	'0',
		['all_colorbalance_green']		=	'0',
		['text_colorbalance_green']		=	'0',
		['photo_colorbalance_green']	=	'0',
		['graphics_colorbalance_green']	=	'0',
		['all_colorbalance_blue']		=	'0',
		['text_colorbalance_blue']		=	'0',
		['photo_colorbalance_blue']		=	'0',
		['graphics_colorbalance_blue']	=	'0'
	},
	['bluishforgrayimage'] = {
		['all_brightness']				=	'0',
		['text_brightness']				=	'0',
		['photo_brightness']			=	'0',
		['graphics_brightness']			=	'0',
		['all_contrast']				=	'0',
		['text_contrast']				=	'0',
		['photo_contrast']				=	'0',
		['graphics_contrast']			=	'0',
		['all_saturation']				=	'0',
		['text_saturation']				=	'0',
		['photo_saturation']			=	'0',
		['graphics_saturation']			=	'0',
		['all_colorbalance_red']		=	'0',
		['text_colorbalance_red']		=	'0',
		['photo_colorbalance_red']		=	'0',
		['graphics_colorbalance_red']	=	'0',
		['all_colorbalance_green']		=	'0',
		['text_colorbalance_green']		=	'0',
		['photo_colorbalance_green']	=	'0',
		['graphics_colorbalance_green']	=	'0',
		['all_colorbalance_blue']		=	'5',
		['text_colorbalance_blue']		=	'5',
		['photo_colorbalance_blue']		=	'5',
		['graphics_colorbalance_blue']	=	'5'
	},
	['reddishforgrayimage'] = {
		['all_brightness']				=	'0',
		['text_brightness']				=	'0',
		['photo_brightness']			=	'0',
		['graphics_brightness']			=	'0',
		['all_contrast']				=	'0',
		['text_contrast']				=	'0',
		['photo_contrast']				=	'0',
		['graphics_contrast']			=	'0',
		['all_saturation']				=	'0',
		['text_saturation']				=	'0',
		['photo_saturation']			=	'0',
		['graphics_saturation']			=	'0',
		['all_colorbalance_red']		=	'5',
		['text_colorbalance_red']		=	'5',
		['photo_colorbalance_red']		=	'5',
		['graphics_colorbalance_red']	=	'5',
		['all_colorbalance_green']		=	'0',
		['text_colorbalance_green']		=	'0',
		['photo_colorbalance_green']	=	'0',
		['graphics_colorbalance_green']	=	'0',
		['all_colorbalance_blue']		=	'0',
		['text_colorbalance_blue']		=	'0',
		['photo_colorbalance_blue']		=	'0',
		['graphics_colorbalance_blue']	=	'0'
	},
	['morebluish'] = {
		['all_brightness']				=	'0',
		['text_brightness']				=	'0',
		['photo_brightness']			=	'0',
		['graphics_brightness']			=	'0',
		['all_contrast']				=	'0',
		['text_contrast']				=	'0',
		['photo_contrast']				=	'0',
		['graphics_contrast']			=	'0',
		['all_saturation']				=	'5',
		['text_saturation']				=	'5',
		['photo_saturation']			=	'5',
		['graphics_saturation']			=	'5',
		['all_colorbalance_red']		=	'0',
		['text_colorbalance_red']		=	'0',
		['photo_colorbalance_red']		=	'0',
		['graphics_colorbalance_red']	=	'0',
		['all_colorbalance_green']		=	'0',
		['text_colorbalance_green']		=	'0',
		['photo_colorbalance_green']	=	'0',
		['graphics_colorbalance_green']	=	'0',
		['all_colorbalance_blue']		=	'10',
		['text_colorbalance_blue']		=	'10',
		['photo_colorbalance_blue']		=	'10',
		['graphics_colorbalance_blue']	=	'10'
	},
	['morereddish'] = {
		['all_brightness']				=	'0',
		['text_brightness']				=	'0',
		['photo_brightness']			=	'0',
		['graphics_brightness']			=	'0',
		['all_contrast']				=	'0',
		['text_contrast']				=	'0',
		['photo_contrast']				=	'0',
		['graphics_contrast']			=	'0',
		['all_saturation']				=	'5',
		['text_saturation']				=	'5',
		['photo_saturation']			=	'5',
		['graphics_saturation']			=	'5',
		['all_colorbalance_red']		=	'10',
		['text_colorbalance_red']		=	'10',
		['photo_colorbalance_red']		=	'10',
		['graphics_colorbalance_red']	=	'10',
		['all_colorbalance_green']		=	'0',
		['text_colorbalance_green']		=	'0',
		['photo_colorbalance_green']	=	'0',
		['graphics_colorbalance_green']	=	'0',
		['all_colorbalance_blue']		=	'0',
		['text_colorbalance_blue']		=	'0',
		['photo_colorbalance_blue']		=	'0',
		['graphics_colorbalance_blue']	=	'0'
	},
	['moregreenish'] = {
		['all_brightness']				=	'0',
		['text_brightness']				=	'0',
		['photo_brightness']			=	'0',
		['graphics_brightness']			=	'0',
		['all_contrast']				=	'0',
		['text_contrast']				=	'0',
		['photo_contrast']				=	'0',
		['graphics_contrast']			=	'0',
		['all_saturation']				=	'5',
		['text_saturation']				=	'5',
		['photo_saturation']			=	'5',
		['graphics_saturation']			=	'5',
		['all_colorbalance_red']		=	'0',
		['text_colorbalance_red']		=	'0',
		['photo_colorbalance_red']		=	'0',
		['graphics_colorbalance_red']	=	'0',
		['all_colorbalance_green']		=	'10',
		['text_colorbalance_green']		=	'10',
		['photo_colorbalance_green']	=	'10',
		['graphics_colorbalance_green']	=	'10',
		['all_colorbalance_blue']		=	'0',
		['text_colorbalance_blue']		=	'0',
		['photo_colorbalance_blue']		=	'0',
		['graphics_colorbalance_blue']	=	'0'
	}
}

local preset = Rice.CapsDB.get('colorbalance_preset')
local setvalue_table = preset_table[preset]
	
if(type(setvalue_table) == 'table') then
	Rice.CapsDB.set_multi(setvalue_table)
end

return true
